<template>

  <!-- Toast container -->
  <div :class="`_toast-container ${getElementCssClass('container')}`">

    <!-- Toast -->
    <div :class="`_toast ${getElementCssClass('wrapper')}`">

      <!-- Default slot -->
      <slot></slot>

      <!-- Close icon -->
      <div
        v-if="!this.noClose"
        :class="`_toast-close-icon-wrapper ${getElementCssClass('closeIconWrapper')}`"
        @click="deleteToast()"
      >
        <v-icon
          name="times"
          :class="`_toast-close-icon ${getElementCssClass('closeIcon')}`"
        />
      </div>

    </div>

  </div>

</template>

<script>
// Components
import BaseToast from './BaseToast.vue'
/**
 * **Toast** component
 */
export default {
  name: 'Toast',
  extends: BaseToast
}
</script>
